Bug 1004997 - Review Request: swizzle - Collection of Java data processing and RPC utilities
Review Request: swizzle - Collection of Java data processing and RPC utilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
: 987884 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 21:31 EDT by gil cattaneo
Modified: 2015-03-18 06:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: swizzle-1.6.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-18 06:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-09-05 21:31:30 EDT
Spec URL: http://gil.fedorapeople.org/swizzle.spec
SRPM URL: http://gil.fedorapeople.org/swizzle-1.6.2-1.fc19.src.rpm
Description: Swizzle started out as some stream-based parsing code.
Fedora Account System Username: gil
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5903776
Comment 1 gil cattaneo 2013-09-06 13:32:24 EDT
*** Bug 987884 has been marked as a duplicate of this bug. ***
Comment 3 Michael Simacek 2015-03-09 05:46:18 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The description for the main package doesn't really say anything about what
  the software does. I don't see anything common among the modules, so I'd
  suggest something generic, like: Collection of Java data processing
  and RPC utilities
  Also update the summary.
- Maybe you can just delete confluence tests instead of disabling the whole
  test suite.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     11 files have unknown license. Detailed output of licensecheck in
     /home/msimacek/reviews/1004997-swizzle/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: swizzle-jirareport (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in swizzle-
     confluence , swizzle-jira , swizzle-jirareport , swizzle-stream ,
     swizzle-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: swizzle-1.6.2-1.fc23.noarch.rpm
          swizzle-confluence-1.6.2-1.fc23.noarch.rpm
          swizzle-jira-1.6.2-1.fc23.noarch.rpm
          swizzle-jirareport-1.6.2-1.fc23.noarch.rpm
          swizzle-stream-1.6.2-1.fc23.noarch.rpm
          swizzle-javadoc-1.6.2-1.fc23.noarch.rpm
          swizzle-1.6.2-1.fc23.src.rpm
swizzle.noarch: W: no-documentation
swizzle-confluence.noarch: W: no-documentation
swizzle-jira.noarch: W: no-documentation
swizzle-jirareport.noarch: W: no-documentation
swizzle-stream.noarch: W: no-documentation
swizzle.src: W: invalid-url Source0: swizzle-1.6.2.tar.xz
7 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
swizzle-stream (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

swizzle-jira (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.xmlrpc:xmlrpc-client)
    mvn(org.codehaus.swizzle:swizzle-stream)

swizzle (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.sonatype.oss:oss-parent:pom:)

swizzle-jirareport (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(commons-collections:commons-collections)
    mvn(log4j:log4j:1.2.17)
    mvn(org.codehaus.swizzle:swizzle-jira)
    mvn(org.codehaus.swizzle:swizzle-stream)
    mvn(velocity:velocity)

swizzle-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

swizzle-confluence (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.xmlrpc:xmlrpc-client)



Provides
--------
swizzle-stream:
    mvn(org.codehaus.swizzle:swizzle-stream)
    mvn(org.codehaus.swizzle:swizzle-stream:pom:)
    swizzle-stream

swizzle-jira:
    mvn(org.codehaus.swizzle:swizzle-jira)
    mvn(org.codehaus.swizzle:swizzle-jira:pom:)
    swizzle-jira

swizzle:
    mvn(org.codehaus.swizzle:swizzle:pom:)
    swizzle

swizzle-jirareport:
    mvn(org.codehaus.swizzle:swizzle-jirareport)
    mvn(org.codehaus.swizzle:swizzle-jirareport:pom:)
    swizzle-jirareport

swizzle-javadoc:
    swizzle-javadoc

swizzle-confluence:
    mvn(org.codehaus.swizzle:swizzle-confluence)
    mvn(org.codehaus.swizzle:swizzle-confluence:pom:)
    swizzle-confluence



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1004997
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 gil cattaneo 2015-03-09 11:46:15 EDT
Spec URL: http://gil.fedorapeople.org/swizzle.spec
SRPM URL: http://gil.fedorapeople.org/swizzle-1.6.2-2.fc20.src.rpm

- fix summary and description
- disable confluence/jira/jirareport tests

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9182400
Comment 5 Michael Simacek 2015-03-10 04:46:21 EDT
Looks ok now, APPROVED
Comment 6 gil cattaneo 2015-03-10 07:25:37 EDT
Thanks!

New Package SCM Request
=======================
Package Name: swizzle
Short Description: Collection of Java data processing and RPC utilities
Upstream URL: http://swizzle.codehaus.org/
Owners: gil
Branches: f22
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2015-03-10 08:20:42 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-03-10 09:00:32 EDT
swizzle-1.6.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/swizzle-1.6.2-2.fc22
Comment 9 Fedora Update System 2015-03-13 12:54:58 EDT
swizzle-1.6.2-2.fc22 has been pushed to the Fedora 22 testing repository.
Comment 10 Fedora Update System 2015-03-18 06:33:46 EDT
swizzle-1.6.2-2.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.